Subject: Re: [PATCH] ipw2100: wraps the debug module param within #ifdefs

From: Stephen Hemminger <[email-masked]>
Date: Fri, 14 Apr 2006 09:33:07 -0700

On Fri, 14 Apr 2006 13:18:31 +0800
Zhu Yi <[email-masked]> wrote:

> On Thu, 2006-04-13 at 10:30 -0700, Stephen Hemminger wrote:
> > Please get rid of the debug config option. Make the debug code, default
> > off and be low enough impact that everyone can ship with it.
> 
> This patch is exactly doing so. There won't be the debug module param if
> CONFIG_IPW2200_DEBUG is not defined. Otherwise it could be used to set
> different debug level, which helps a lot for the driver debuging.
> 

I meant get rid of CONFIG_IPW2200_DEBUG completely. Having the debug code isn't
bad, and there is no reason not to have it always there.